---
title: "Delete SKU"
source_url: https://docs.rapyd.net/en/delete-sku.html
lang: en
---

# Delete SKU

Delete an SKU from the Rapyd platform.

This method triggers the **SKU Deleted** webhook. This webhook contains the same information as the response.

### Parameters

### Request Path Parameters

- - sku
  - ID of the `sku` object. String starting with **sku_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - deleted
  - Indicates whether the SKU was deleted.
- - id
  - ID of the SKU.

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string sku = "sku_a35c8e4fe80cf3f780f137d465809898";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("DELETE", $"/v1/skus/{sku}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest('DELETE', '/v1/skus/sku_a35c8e4fe80cf3f780f137d465809898');

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);
      try {
          $object = make_request('delete', '/v1/skus/sku_a35c8e4fe80cf3f780f137d465809898');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      result = make_request(method='delete', path='/v1/skus/sku_a35c8e4fe80cf3f780f137d465809898')
      pprint(result)
      ```

- /v1/skus/:sku

- Delete SKU
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/skus/sku_096696f97693620ee81048c16b232df1' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "a2537540-702f-40ad-9606-5fe107e75f77"
      },
      "data": {
          "id": "sku_096696f97693620ee81048c16b232df1",
          "deleted": true
      }
  }
  ```
